#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './alertswidget.ui'
**
** Created: Fri Aug 31 22:17:02 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "alertswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AlertsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AlertsWidget::AlertsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AlertsWidget" );
    AlertsWidgetLayout = new QVBoxLayout( this, 11, 6, "AlertsWidgetLayout"); 

    useIdleTimerCheckBox_ = new QCheckBox( this, "useIdleTimerCheckBox_" );
    AlertsWidgetLayout->addWidget( useIdleTimerCheckBox_ );

    layout22 = new QHBoxLayout( 0, 0, 6, "layout22"); 

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout22->addWidget( textLabel3 );

    idleTimeSpinBox_ = new QSpinBox( this, "idleTimeSpinBox_" );
    layout22->addWidget( idleTimeSpinBox_ );

    textLabel4 = new QLabel( this, "textLabel4" );
    layout22->addWidget( textLabel4 );
    spacer17 = new QSpacerItem( 71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout22->addItem( spacer17 );
    AlertsWidgetLayout->addLayout( layout22 );
    spacer6 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Preferred );
    AlertsWidgetLayout->addItem( spacer6 );

    useNotifierCheckBox_ = new QCheckBox( this, "useNotifierCheckBox_" );
    AlertsWidgetLayout->addWidget( useNotifierCheckBox_ );

    layout23 = new QHBoxLayout( 0, 0, 6, "layout23"); 

    textLabel5 = new QLabel( this, "textLabel5" );
    textLabel5->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout23->addWidget( textLabel5 );

    notificationDurationSpinBox_ = new QSpinBox( this, "notificationDurationSpinBox_" );
    layout23->addWidget( notificationDurationSpinBox_ );

    textLabel6 = new QLabel( this, "textLabel6" );
    layout23->addWidget( textLabel6 );
    spacer16 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout23->addItem( spacer16 );
    AlertsWidgetLayout->addLayout( layout23 );
    spacer6_2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Preferred );
    AlertsWidgetLayout->addItem( spacer6_2 );

    showOfflineNotificationsCheckBox_ = new QCheckBox( this, "showOfflineNotificationsCheckBox_" );
    AlertsWidgetLayout->addWidget( showOfflineNotificationsCheckBox_ );

    shakeNudgeCheckBox_ = new QCheckBox( this, "shakeNudgeCheckBox_" );
    AlertsWidgetLayout->addWidget( shakeNudgeCheckBox_ );

    nowListeningCheckBox_ = new QCheckBox( this, "nowListeningCheckBox_" );
    AlertsWidgetLayout->addWidget( nowListeningCheckBox_ );
    spacer6_2_2 = new QSpacerItem( 20, 190, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    AlertsWidgetLayout->addItem( spacer6_2_2 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( useIdleTimerCheckBox_, idleTimeSpinBox_ );
    setTabOrder( idleTimeSpinBox_, useNotifierCheckBox_ );
    setTabOrder( useNotifierCheckBox_, notificationDurationSpinBox_ );
    setTabOrder( notificationDurationSpinBox_, showOfflineNotificationsCheckBox_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AlertsWidget::~AlertsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AlertsWidget::languageChange()
{
    setCaption( tr2i18n( "Alerts" ) );
    useIdleTimerCheckBox_->setText( tr2i18n( "Change status to \"Awa&y-Idle\" when inactive" ) );
    useIdleTimerCheckBox_->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QWhatsThis::add( useIdleTimerCheckBox_, tr2i18n( "If enabled, your status will be changed automatically to \"Away-Idle\" when you're not using the computer for a few minutes." ) );
    textLabel3->setText( tr2i18n( "Become idle after" ) );
    QWhatsThis::add( textLabel3, tr2i18n( "Controls the number of minutes before KMess changes the status to \"Away-Idle\"." ) );
    textLabel4->setText( tr2i18n( "minutes" ) );
    useNotifierCheckBox_->setText( tr2i18n( "Show popup notifications for program events" ) );
    QWhatsThis::add( useNotifierCheckBox_, tr2i18n( "If enabled, a popup is shown when contacts go online or start a chat conversation." ) );
    textLabel5->setText( tr2i18n( "Hide popups after" ) );
    QWhatsThis::add( textLabel5, tr2i18n( "Controls the number of seconds before popups are hidden." ) );
    textLabel6->setText( tr2i18n( "seconds" ) );
    showOfflineNotificationsCheckBox_->setText( tr2i18n( "Show notifications when contacts go offline" ) );
    QWhatsThis::add( showOfflineNotificationsCheckBox_, tr2i18n( "If enabled, a popup message is also shown when one of your contacts goes offline." ) );
    shakeNudgeCheckBox_->setText( tr2i18n( "Shake the chat window when a nudge is received or sent" ) );
    QWhatsThis::add( shakeNudgeCheckBox_, tr2i18n( "<qt><p>When contacts like to have your attention they can send a nudge. By default the chat window shakes when a nudge is received or sent. Disable this option if the shaking effect is too obtrusive.</p>\n"
"<p>When this option is enabled, KMess still limits the shaking effect. Contacts may send multiple nudges at once, but KMess only shakes the chat window with the first nudge.</p></qt>" ) );
    nowListeningCheckBox_->setText( tr2i18n( "Inform contacts which song I am listening to." ) );
    QWhatsThis::add( nowListeningCheckBox_, tr2i18n( "If enabled, KMess informs contacts what you're listening to. This information is retrieved from the currently active audio player applications." ) );
}

#include "alertswidget.moc"
